function [] = Preprocess_5_RemoveImagesWithFewAnnotations(base_dir)
% Only keep HITs where at least one annotation is present

  input_dir = [base_dir 'processed4/'];
  output_dir = [base_dir 'processed5/'];

  % we require at least THRESHOLD annotations per image
  THRESHOLD = 15;
  
  img_filenames = GetImgFileNames(input_dir);
  
  for ii = 1:numel(img_filenames)
    curr_img_filename = img_filenames{ii};
    
    annotation_files = dir([input_dir '*__' curr_img_filename]);
    
    if numel(annotation_files) >= THRESHOLD
      CopyListOfFiles({annotation_files.name}, input_dir, output_dir)
    end
  end
end

function [] = CopyListOfFiles(file_list, input_dir, output_dir)
  for ii = 1:numel(file_list)
    copyfile([input_dir file_list{ii}], output_dir);
  end
end