function [] = Preprocess_6_RemoveNonConsensus(base_dir)

  input_dir = [base_dir 'processed5/'];
  output_dir = [base_dir 'processed6/'];
  
  img_filenames = GetImgFileNames(input_dir);
  
  for ii = 1:numel(img_filenames)
    curr_img_filename = img_filenames{ii};
    
    annotation_files = dir([input_dir '*' curr_img_filename]);
    annotation_files = {annotation_files.name};
    
    % Read all annotations for the current image
    all_annotations = [];
    for jj = 1:numel(annotation_files)
      img = imread([input_dir annotation_files{jj}]);
      
      if isempty(all_annotations)
        all_annotations = logical(img(:, :, 1));
      else
        img = imresize(img, [size(all_annotations, 1) size(all_annotations, 2)]);
        all_annotations = cat(3, all_annotations, logical(img(:, :, 1)));
      end
    end
    
    % Go over all annotations for current image and decide which we would like to keep
    for jj = 1:numel(annotation_files)
      % Keep the annotation if it's blank
      if ~any(any(all_annotations(:, :, jj)))
        copyfile([input_dir annotation_files{jj}], output_dir);
        continue;
      end
      
      % Keep the annotation if at least 1 other annotation is similar
      all_other_inds = setdiff(1:numel(annotation_files), jj);
      all_others = all_annotations(:, :, all_other_inds);
      similarity_to_others = all_annotations(:, :, jj) & max(all_others, [], 3);
      if any(similarity_to_others(:))
        copyfile([input_dir annotation_files{jj}], output_dir);
      end
    end
  end
end
